Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.repastdemos.neuralfromfile
Class NeuralModelFromFile

    java.lang.Object
      uchicago.src.sim.engine.SimModelImpl
          uchicago.src.sim.engine.SimpleModel
              uchicago.src.repastdemos.neural.NeuralModel
                  uchicago.src.repastdemos.neuralfromfile.NeuralModelFromFile

All Implemented Interfaces:
  DescriptorContainer, SimEventProducer, SimModel

    public class NeuralModelFromFile

extends NeuralModel

This demo model is the same as the `NeuralModel` except that it allows for the neural network the `Employee`s use to be loaded from a file.

Version:
  $Revision: 1.1 $ $Date: 2005/08/12 20:04:58 $
Author:
  Jerry Vos

Field Summary

Fields inherited from class uchicago.src.repastdemos.neural.NeuralModel
`office, officeHeight, officeWidth`

Fields inherited from class uchicago.src.sim.engine.SimpleModel
`agentList, autoStep, isGui, name, params, schedule, seed, shuffle, startAt`

Fields inherited from class uchicago.src.sim.engine.SimModelImpl
`descriptors, modelManipulator`

Constructor Summary
`NeuralModelFromFile()`

Method Summary
`void` | `begin()` Begins a simulation run.
`java.lang.String[]` | `getInitParam()` Gets the names of the initial model parameters to set.
`java.lang.String` | `getNeuralNetFileName()`
`static void` | `main(java.lang.String[] args)`
`void` | `setNeuralNetFileName(java.lang.String neuralNetFileName)`
`void` | `setup()` Sets up the model for the next run, clears out all the old employees and the old displays

Methods inherited from class uchicago.src.repastdemos.neural.NeuralModel
`buildDisplay, buildGraphs, getEmployeeCount, getName, getOfficeHeight, getOfficeWidth, postStep, preStep, setEmployeeCount, setOfficeHeight, setOfficeWidth, step`

Methods inherited from class uchicago.src.sim.engine.SimpleModel
`atEnd, atPause, buildModel, buildSchedule, getNextDoubleFromTo, getNextIntFromTo, getSchedule, run, runAutoStep, setRngSeed, setStoppingTime, setStoppingTime`

Methods inherited from class uchicago.src.sim.engine.SimModelImpl
`addPropertyListener, addSimEventListener, clearMediaProducers, clearPropertyListeners, fireBooleanPropertyEvent, fireEndSim, fireNumericPropertyEvent, fireObjectPropertyEvent, firePauseSim, fireSimEvent, fireStopSim, fireStringPropertyEvent, generateNewSeed, getController, getMediaProducers, getModelManipulator, getParameterDescriptors, getPropertiesValues, getRngSeed, getTickCount, pause, registerDisplaySurface, registerMediaProducer, removePropertyListener, removeSimEventListener, setController, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NeuralModelFromFile

    public NeuralModelFromFile()

Method Detail

### getInitParam

    public java.lang.String[] getInitParam()

  Description copied from interface: `SimModel`
  Gets the names of the initial model parameters to set. These names must have get and set methods supplied by the model. For example, for the parameter maxAge, the model must have getMaxAge and setMaxAge methods.

  Specified by:
    `getInitParam` in interface `SimModel`
  Overrides:
    `getInitParam` in class `NeuralModel`
  Returns:
    a String[] of the initial parameter names

### begin

    public void begin()

  Description copied from interface: `SimModel`
  Begins a simulation run. All initialization, building the model, diplay, etc. should take place here. This method is called whenever the start button (or the step button if the run has not yet begun) is clicked. If running in batch mode this is called to kick off a new simulation run.

  Specified by:
    `begin` in interface `SimModel`
  Overrides:
    `begin` in class `NeuralModel`

### setup

    public void setup()

  Description copied from class: `NeuralModel`
  Sets up the model for the next run, clears out all the old employees and the old displays

  Specified by:
    `setup` in interface `SimModel`
  Overrides:
    `setup` in class `NeuralModel`

### getNeuralNetFileName

    public java.lang.String getNeuralNetFileName()

### setNeuralNetFileName

    public void setNeuralNetFileName(java.lang.String neuralNetFileName)

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD